SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SUDimensionStyleRef Struct Reference

A dimension style reference. More...

`#include <SketchUpAPI/model/dimension_style.h>`

## Related Functions
(Note that these are not member functions.)
enum SUResult | SUDimensionStyleGetFont (SUDimensionStyleRef style, SUFontRef *font)
| Retrieves the font of a dimension style object. More...
enum SUResult | SUDimensionStyleGet3D (SUDimensionStyleRef style, bool *has_3d)
| Retrieves whether the dimension style has 3D text. More...
enum SUResult | SUDimensionStyleGetArrowType (SUDimensionStyleRef style, enum SUArrowType *type)
| Retrieves a enum value indicating the arrow type specified by the dimension style. More...
enum SUResult | SUDimensionStyleGetArrowSize (SUDimensionStyleRef style, size_t *size)
| Retrieves the arrow size specified by the dimension style. More...
enum SUResult | SUDimensionStyleGetColor (SUDimensionStyleRef style, SUColor *color)
| Retrieves the color specified by the dimension style. More...
enum SUResult | SUDimensionStyleGetTextColor (SUDimensionStyleRef style, SUColor *color)
| Retrieves the text color specified by the dimension style. More...
enum SUResult | SUDimensionStyleGetExtensionLineOffset (SUDimensionStyleRef style, size_t *offset)
| Retrieves the dimension style's extension line offset. The offset specifies the gap between the connection points' locations and the dimension leader lines. More...
enum SUResult | SUDimensionStyleGetExtensionLineOvershoot (SUDimensionStyleRef style, size_t *overshoot)
| Retrieves the dimension style's extension line overshoot. The overshoot specifies distance that the dimension leader lines overshoot the point where they connect with the arrows. More...
enum SUResult | SUDimensionStyleGetLineWeight (SUDimensionStyleRef style, size_t *weight)
| Retrieves the line weight specified by the dimension style. More...
enum SUResult | SUDimensionStyleGetHighlightNonAssociativeDimensions (SUDimensionStyleRef style, bool *highlight)
| Retrieves whether the dimension style specifies non-associative dimensions (including edited text) be highlighted in a color which can be retrieved with SUDimensionStyleGetHighlightNonAssociativeDimensionsColor. More...
enum SUResult | SUDimensionStyleGetHighlightNonAssociativeDimensionsColor (SUDimensionStyleRef style, SUColor *color)
| Retrieves the non-associative dimensions highlight color specified by the dimension style. More...
enum SUResult | SUDimensionStyleGetShowRadialPrefix (SUDimensionStyleRef style, bool *show)
| Retrieves whether the dimension style specifies that radius/diameter prefixes be displayed on radial dimensions. More...
enum SUResult | SUDimensionStyleGetHideOutOfPlane (SUDimensionStyleRef style, bool *hide)
| Retrieves whether the dimension style specifies that out of plane dimensions (dimensions which are not parallel to the view plane) be hidden. More...
enum SUResult | SUDimensionStyleGetHideOutOfPlaneValue (SUDimensionStyleRef style, double *tolerance)
| Retrieves the dimension style's parameter specifying out of plane tolerance for hiding dimensions. More...
enum SUResult | SUDimensionStyleGetHideSmall (SUDimensionStyleRef style, bool *hide)
| Retrieves whether the dimension style specifies that small dimensions be hidden. More...
enum SUResult | SUDimensionStyleGetHideSmallValue (SUDimensionStyleRef style, double *tolerance)
| Retrieves the minimum size under which dimensions will be hidden if SUDimensionStyleGetHideSmall returns true. More...

## Detailed Description

A dimension style reference.

Since
  SketchUp 2017, API 5.0

## Friends And Related Function Documentation

enum SUResult SUDimensionStyleGet3D | ( | SUDimensionStyleRef | style,
|  | bool * | has_3d
| ) |  |
| related

Retrieves whether the dimension style has 3D text.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | style | The dimension style object.
  [out] | has_3d | The flag value retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if dimension is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if has_3d is NULL

enum SUResult SUDimensionStyleGetArrowSize | ( | SUDimensionStyleRef | style,
|  | size_t * | size
| ) |  |
| related

Retrieves the arrow size specified by the dimension style.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | style | The dimension style object.
  [out] | size | The size retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if style is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if size is NULL

enum SUResult SUDimensionStyleGetArrowType | ( | SUDimensionStyleRef | style,
|  | enum SUArrowType * | type
| ) |  |
| related

Retrieves a enum value indicating the arrow type specified by the dimension style.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | style | The dimension style object.
  [out] | type | The arrow type enum value retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if style is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if type is NULL

enum SUResult SUDimensionStyleGetColor | ( | SUDimensionStyleRef | style,
|  | SUColor * | color
| ) |  |
| related

Retrieves the color specified by the dimension style.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | style | The dimension style object.
  [out] | color | The color retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if style is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if color is NULL

enum SUResult SUDimensionStyleGetExtensionLineOffset | ( | SUDimensionStyleRef | style,
|  | size_t * | offset
| ) |  |
| related

Retrieves the dimension style's extension line offset. The offset specifies the gap between the connection points' locations and the dimension leader lines.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | style | The dimension style object.
  [out] | offset | The offset retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if style is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if offset is NULL

enum SUResult SUDimensionStyleGetExtensionLineOvershoot | ( | SUDimensionStyleRef | style,
|  | size_t * | overshoot
| ) |  |
| related

Retrieves the dimension style's extension line overshoot. The overshoot specifies distance that the dimension leader lines overshoot the point where they connect with the arrows.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | style | The dimension style object.
  [out] | overshoot | The overshoot retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if style is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if overshoot is NULL

enum SUResult SUDimensionStyleGetFont | ( | SUDimensionStyleRef | style,
|  | SUFontRef * | font
| ) |  |
| related

Retrieves the font of a dimension style object.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | style | The dimension style object.
  [out] | font | The font retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if style is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if font is NULL

enum SUResult SUDimensionStyleGetHideOutOfPlane | ( | SUDimensionStyleRef | style,
|  | bool * | hide
| ) |  |
| related

Retrieves whether the dimension style specifies that out of plane dimensions (dimensions which are not parallel to the view plane) be hidden.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | style | The dimension style object.
  [out] | hide | The flag value retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if style is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if hide is NULL

enum SUResult SUDimensionStyleGetHideOutOfPlaneValue | ( | SUDimensionStyleRef | style,
|  | double * | tolerance
| ) |  |
| related

Retrieves the dimension style's parameter specifying out of plane tolerance for hiding dimensions.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | style | The dimension style object.
  [out] | tolerance | The value retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if style is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if tolerance is NULL

enum SUResult SUDimensionStyleGetHideSmall | ( | SUDimensionStyleRef | style,
|  | bool * | hide
| ) |  |
| related

Retrieves whether the dimension style specifies that small dimensions be hidden.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | style | The dimension style object.
  [out] | hide | The flag value retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if style is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if hide is NULL

enum SUResult SUDimensionStyleGetHideSmallValue | ( | SUDimensionStyleRef | style,
|  | double * | tolerance
| ) |  |
| related

Retrieves the minimum size under which dimensions will be hidden if SUDimensionStyleGetHideSmall returns true.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | style | The dimension style object.
  [out] | tolerance | The value retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if style is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if tolerance is NULL

enum SUResult SUDimensionStyleGetHighlightNonAssociativeDimensions | ( | SUDimensionStyleRef | style,
|  | bool * | highlight
| ) |  |
| related

Retrieves whether the dimension style specifies non-associative dimensions (including edited text) be highlighted in a color which can be retrieved with SUDimensionStyleGetHighlightNonAssociativeDimensionsColor.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | style | The dimension style object.
  [out] | highlight | The flag value retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if style is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if highlight is NULL

enum SUResult SUDimensionStyleGetHighlightNonAssociativeDimensionsColor | ( | SUDimensionStyleRef | style,
|  | SUColor * | color
| ) |  |
| related

Retrieves the non-associative dimensions highlight color specified by the dimension style.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | style | The dimension style object.
  [out] | color | The color retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if style is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if color is NULL

enum SUResult SUDimensionStyleGetLineWeight | ( | SUDimensionStyleRef | style,
|  | size_t * | weight
| ) |  |
| related

Retrieves the line weight specified by the dimension style.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | style | The dimension style object.
  [out] | weight | The weight retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if style is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if weight is NULL

enum SUResult SUDimensionStyleGetShowRadialPrefix | ( | SUDimensionStyleRef | style,
|  | bool * | show
| ) |  |
| related

Retrieves whether the dimension style specifies that radius/diameter prefixes be displayed on radial dimensions.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | style | The dimension style object.
  [out] | show | The flag value retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if style is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if show is NULL

enum SUResult SUDimensionStyleGetTextColor | ( | SUDimensionStyleRef | style,
|  | SUColor * | color
| ) |  |
| related

Retrieves the text color specified by the dimension style.

Since
  SketchUp 2017, API 5.0

Parameters

  [in] | style | The dimension style object.
  [out] | color | The color retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if style is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if color is NULL

The documentation for this struct was generated from the following files:

- SketchUpAPI/model/defs.h
- SketchUpAPI/model/dimension_style.h